//
//  BEBBCWindowController.h
//  BeebEmX
//
//  Created by Steven Bagley on 30/04/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "BEEmulator.h"
#import "BEBBCView.h"
#include "BeebFrame.h"

@interface BEBBCWindowController : NSWindowController
{
    BEBBCView *_bbcView;
    NSOpenGLView *_bbcGLView;
    BEEmulator *_bbcEmulator;
    double _refreshPeriod;
    CVDisplayLinkRef _dlRef;
    EMVIDEOLINK *_emVideoLink;
    BOOL _useGL;
    GLuint _texture, _textureBuffer;
}

-(BEBBCWindowController*)initWithOpenGL:(BOOL)useGL; 
-(void)updateWithFrame:(CBeebFrame*)newFrame;
-(void)startEmulator:(id)sender;
-(void)render;
-(void)renderGLFrame:(CBeebFrame*)newFrame;
-(void)initGL:(NSOpenGLContext*)gl;
-(IBAction)loadDiscImage:(id)sender;


@end
