//
//  Beeb1770DiscInterface.h
//  BeebEmX
//
//  Created by Steven Bagley on 16/05/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#ifndef __BeebEmX__Beeb1770DiscInterface__
#define __BeebEmX__Beeb1770DiscInterface__

#include <stdio.h>

class CSheilaMemory;

class CBeeb1770DiscInterface : public IMemory
{
public:
    CBeeb1770DiscInterface(bool master);
    
    
    void Register(CBeebMemory *sheila);
    
    virtual int ReadByte(const int address);
    virtual void WriteByte(const int address, const unsigned char value);
    
    
private:
    
    int m_fdcAddress;
    int m_1770Address;
    bool m_master;
    
};



#endif /* defined(__BeebEmX__Beeb1770DiscInterface__) */
