//
//  CFredJimMemory.cpp
//  BeebEmX
//
//  Created by Steven Bagley on 16/05/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#include "6502core.h"
#include "FredJimMemory.h"


CFredJimMemory::CFredJimMemory(CBeebMemory *memory)
{
    
}


int CFredJimMemory::ReadByte(const int address)
{
    SyncIO();
    AdjustForIORead();
    
    
#if 0
    if ((address & ~0x3)==0xfc10) {
        return(TeleTextRead(address & 0x3));
    }
#endif
#if 0
    if ((address & ~0x3)==0xfc40) {
        if (SCSIDriveEnabled) return(SCSIRead(address & 0x3));
    }
#endif
#if 0
    if ((address & ~0x7)==0xfc40) {
        if (IDEDriveEnabled)  return(IDERead(address & 0x7));
    }
#endif
#if 0
    if ((address & ~0x1)==0xfc50) {
        return(mainWin->PasteKey(address & 0x1));
    }
#endif
#if 0
    if ((address & ~0x3)==0xfdf0) {
        return(SASIRead(address & 0x3));
    }
#endif
    return 0xff;
}

void CFredJimMemory::WriteByte(const int address, const unsigned char value)
{
    SyncIO();
    AdjustForIORead();
#if 0
    if ((address & ~0x3)==0xfc10) {
        TeleTextWrite((address & 0x3),Value);
        return;
    }
#endif
#if 0
    if ((address & ~0x3)==0xfc40) {
        if (SCSIDriveEnabled) {
            SCSIWrite((address & 0x3),Value);
            return;
        }
    }
#endif
#if 0
    if ((address & ~0x7)==0xfc40) {
        if (IDEDriveEnabled) {
            IDEWrite((address & 0x7),Value);
            return;
        }
    }
#endif
    
#if 0
    if ((address & ~0x3)==0xfdf0) {
        SASIWrite((address & 0x3),Value);
        return;
    }
#endif

    return;
}