//
//  CMOS.h
//  BeebEmX
//
//  Created by Steven Bagley on 16/05/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#ifndef __BeebEmX__CMOS__
#define __BeebEmX__CMOS__

#include <stdio.h>


extern unsigned char CMOSRAM[64]; // 50 Bytes CMOS RAM

struct CMOSType
{
    unsigned char Enabled;
    unsigned char ChipSelect;
    unsigned char Address;
    unsigned char StrobedData;
    unsigned char DataStrobe;
    unsigned char Op;
};


extern struct CMOSType CMOS;


#endif /* defined(__BeebEmX__CMOS__) */
