//
//  BETestWindowController.m
//  BeebEmX
//
//  Created by Steven Bagley on 20/04/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#include <queue>
#import "BETestWindowController.h"
#import "BEEmulator.h"
#import "BEBBCWindowController.h"


@interface BETestWindowController ()

@end

@implementation BETestWindowController


-(void)awakeFromNib
{
    NSLog(@"Fiddle sticks");
    _bbcController = nil;
}

- (void)windowDidLoad
{
    [super windowDidLoad];
    NSLog(@"BETWC WDL");
}

-(IBAction)startEmulator:(id)sender
{
    [sender setEnabled:NO];

    _bbcController = [[BEBBCWindowController alloc] initWithOpenGL:NO];
    [_bbcController showWindow:self];

    [_bbcController startEmulator:self];
}

-(IBAction)startEmulatorGL:(id)sender
{
    
    [sender setEnabled:NO];
    
    _bbcController = [[BEBBCWindowController alloc] initWithOpenGL:YES];
    [_bbcController showWindow:self];
    
    [_bbcController startEmulator:self];

}

@end
