//
//  SheliaMemory.h
//  BeebEmX
//
//  Created by Steven Bagley on 16/05/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#ifndef __BeebEmX__SheliaMemory__
#define __BeebEmX__SheliaMemory__

#include <stdio.h>
#include "BeebMemory.h"

class CSheilaMemory : public IMemory
{
public:
    CSheilaMemory(CBeebMemory *memory);

    void RegisterDevice(int address, IMemory *device);

    
    virtual int ReadByte(const int address);
    virtual void WriteByte(const int address, const unsigned char value);

private:
    CBeebMemory *m_memory;
    IMemory *m_sheilaLUT[256];
};



#endif /* defined(__BeebEmX__SheliaMemory__) */
