//
//  SoundStreamer.h
//  BeebEmX
//
//  Created by Steven Bagley on 18/05/2015.
//  Copyright (c) 2015 Brokentooth. All rights reserved.
//

#ifndef BeebEmX_SoundStreamer_h
#define BeebEmX_SoundStreamer_h

struct SoundStreamer
{
    virtual ~SoundStreamer()
    {
    }
    
    virtual size_t BufferSize() const = 0;
    
    virtual void Play() = 0;
    virtual void Pause() = 0;
    
    virtual void Stream( void const *pSamples ) = 0;
};


#endif
